Subject: bug#68831: gnu: torbrowser: noscript gets picked up by icecat

From: André Batista <[email-masked]>
Date: Tue, 30 Jan 2024 20:56:00 -0300

Hi guix!

It seems that 'make-icecat-extension' is not sufficiently kosher. When
torbrowser and icecat are both installed to the same user profile,
noscript gets picked up by icecat too. The same also happens when
mullvadbrowser is installed: ublock extension is picked up by torbrowser.

Considering there is also a patch to add Librewolf to guix, which will
probably also share the same extensions when installed on the same
profile, I'm unsure if the proper way to solve this issue is to write
similar make-{$browser_name}-extension procedures or to change the
package definitions for those new browsers.

WDYT?